_OrtpAudioBandwidthEstimator Struct Reference

## Data Fields

struct _RtpSession * | session
RtpTransportModifier * | modifier
unsigned int | packets_history_size
unsigned int | trust_percentage
unsigned int | duplicated_packet_rate
struct timeval | last_timestamp
uint16_t | last_seq_number
uint32_t | last_sent_timestamp
bctbx_list_t * | packets
int | nb_packets_computed
unsigned int | next_duplicated
abe_stats_t | stats

## Field Documentation

## duplicated_packet_rate

unsigned int _OrtpAudioBandwidthEstimator::duplicated_packet_rate

1 out duplicated_packet_rate is duplicated

## last_timestamp

struct timeval _OrtpAudioBandwidthEstimator::last_timestamp

info on last processed RPT packet

## nb_packets_computed

int _OrtpAudioBandwidthEstimator::nb_packets_computed

ABE packet history size

## next_duplicated

unsigned int _OrtpAudioBandwidthEstimator::next_duplicated

countdown to enforce the duplicated_packet_rate

## packets

bctbx_list_t* _OrtpAudioBandwidthEstimator::packets

ABE packet history

## packets_history_size

unsigned int _OrtpAudioBandwidthEstimator::packets_history_size

Settings ABE packets history size: when full, generate an estimation

## session

struct _RtpSession* _OrtpAudioBandwidthEstimator::session

Session access

## stats

abe_stats_t _OrtpAudioBandwidthEstimator::stats

statistics

The documentation for this struct was generated from the following file:

- audiobandwidthestimator.h